<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

	<!-- Site Properties -->
	<title>MonAMI Login</title>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.5.0/semantic.min.css">
	<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.5.0/semantic.min.js"></script>
	<script src="cookie.js"></script>
	<script src="session.js"></script>

	<script>
		var data = {
			token: getAuthTokenCookie(),
		};

		isUserSessionValid(data)
			.then(validSession => {
				if (validSession) {
					window.location.href = 'dashboard.html';
				}
			});
	</script>

	<style type="text/css">
		body {
			background-color: #DADADA;
		}

		body>.grid {
			height: 100%;
		}

		.image {
			margin-top: -100px;
		}

		.column {
			max-width: 450px;
		}

		.error-header {
			color: red !important;
		}
	</style>

</head>

<body>


	<div class="ui middle aligned center aligned grid">
		<div class="column">
			<h2 class="ui orange image header">
				<img src="asterisk.png" class="image">
				<div class="content">
					Log into MonAMI
				</div>
			</h2>
			<form class="ui large form" id="login_form">
				<div class="ui stacked segment">
					<div class="field">
						<div class="ui left icon input">
							<i class="user icon"></i>
							<input type="text" id="username" placeholder="Username" required>
						</div>
					</div>
					<div class="field">
						<div class="ui left icon input">
							<i class="lock icon"></i>
							<input type="password" id="password" placeholder="Password" required>
						</div>
					</div>
					<button type="submit" class="ui fluid large orange button">Login</button>
				</div>

				<div class="ui error message"></div>

			</form>

			<div class="ui small modal" id="failed_login_modal">
				<i class="close icon"></i>
				<div class="header error-header">
					Error
				</div>
				<div class="content">
					<p style="color:red">Failed to login. Please try again.</p>
				</div>
			</div>

		</div>
	</div>


	<script>
		$(document).ready(function () {

			$('#login_form').submit(function (event) {
				event.preventDefault(); // Prevent the default form submission
				var username = document.getElementById("username").value;
				var password = document.getElementById("password").value;
				var data = {
					username: username,
					password: password
				};

				handleLogin(data)
					.then(responseData => {
						// If login is successful, store token in a cookie and redirect to the dashboard
						document.cookie = `authToken=${responseData.token}; path=/`;
						document.cookie = `admin=${responseData.admin}; path=/`;
						window.location.href = 'dashboard.html';
					})
					.catch(error => {
						// Show the modal if login fails
						$('#failed_login_modal').modal('show');

						// Set a timeout to hide the modal after 10 seconds
						setTimeout(function () {
							$('#failed_login_modal').modal('hide');
						}, 10000);
					});
			});
		});
	</script>
</body>

</html>